# Functor Coloring.Make

    module Make: functor (G : G) -> sig .. end

Provide a function for `k`-coloring a graph.

Parameters:

`G` | : | `G`

    module H: Hashtbl.S  with type key = G.V.t

Hash tables used to store the coloring

    val coloring : Coloring.G.t -> int -> int H.t

`coloring g k` colors the graph `g` with `k` colors and returns the coloring as a hash table mapping nodes to their colors.